Admiral

Changesets

Diff a change set

GET
/v1/changesets/{change_set_id}/diff

Scope: changeset:read

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

change_set_id*change_set_id

The change_set_id path parameter.

Match^cs-[0-9a-z]+$

Response Body

application/json

curl -X GET "https://example.com/v1/changesets/string/diff"
{  "revision": 0,  "components": [    {      "component": "string",      "action": "ENTRY_ACTION_UNSPECIFIED",      "old_version": {        "component_id": "string",        "version_id": "string",        "digest": "string",        "reference": "string"      },      "new_version": {        "component_id": "string",        "version_id": "string",        "digest": "string",        "reference": "string"      },      "paths": [        {          "path": [            {              "key": "string"            }          ],          "display_path": "string",          "before_present": true,          "before_json": "string",          "after_present": true,          "after_json": "string"        }      ],      "violations": [        {          "component": "string",          "path": "string",          "message": "string"        }      ]    }  ]}